%compare objects by centroid distance fourier description


directory = 'c:\daten\slists\mpeg\scaling\evo_0.2';


d=dir(strcat(directory,'\*.pl'));
filename=[];
empty='                                ';
i=1;
j=1;

%read filenames
while j<= length(d)
   if d(i).isdir==0
      name=[d(i).name empty(length(d(i).name):length(empty))];
      filename=[filename; name];
      j=j+1;
   end
   i=i+1;
   if i>length(d)
      break;
   end
end

n=length(filename(:,1));  %number of files
M=zeros(n) - 1;

fprintf('%d files\n',n);

%comparison
for r=1:n
   fprintf('\n---------------------------------\n');
   fprintf('%d: %s ',r,filename(r,:));
   s1=readplist(strcat(directory,'\',deblank(filename(r,:))));
   fprintf('(%d vertices)\n',length(s1(:,1)));
   cdf1=centroiddistancefourier(s1,64);
   tic;
   for c=r:n
      s2=readplist(strcat(directory,'\',deblank(filename(c,:))));
      cdf2=centroiddistancefourier(s2,64);
      result=euclidean(cdf1,cdf2);
      M(r,c)=result;
   end
   fprintf('%5.3d seconds needed for %d comparisons (%5.3f s/c)\n',toc,n-r+1,toc/(n-r+1));
end

f=fopen(strcat(directory,'\comparison_names.txt'),'w');
for i=1:n
   fprintf(f,'%s\n',deblank(filename(i,:)));
end
fclose(f);


f=fopen(strcat(directory,'\comparison_matrix.txt'),'w');
for r=1:n
   for c=r:n
      fprintf(f,'%f ',M(r,c));
   end
end
fclose(f);

fprintf('done.\n');