function S=deleteDoubleVertices(inList,dontClose,VERBOSE)
%DELETEDOUBLEVERTICES polygon is reduced by merging continous identical points
%input: nx2 matrix
%output: mx2 matrix, m <= n

if exist('VERBOSE')==0
    VERBOSE = 0;    % = default: do not print warnings
end

if exist('dontClose')==0
    dontClose = 0;  % = default: assume closed polygon
end


%----------------------
% single point ? return.
if size(inList,1)==1
    S=inList;
    return
end

% ...else
if dontClose == 0
    S=[inList; inList(1,:)];	%append start to end (close polygon)
                                %does not close resulting polygon, but prepares 
                                %for equality check between first and last point
else
    S=inList;
end
                                

i=1:size(S,1)-1;
diff=S(i,:)-S(i+1,:);
zeros=any(diff');

if dontClose == 0               % remove last vertex if appended before
    S(length(S(:,1)),:)=[];
end

%if there are continous identical vertices delete them
if all(zeros)==0	
   for j=length(i):-1:1;
      if zeros(j)==0
         if VERBOSE==1
            fprintf('function DELETEDOUBLEVERTICES:found continous double point: reducing polygon\n');
         end
         S(j,:)=[];
      end
   end
end

% if S is empty, all points were identical. return one point.
if length(S)==0
    S = inList(1,:);
end

