function [S,peri]=readPList(name,show)
%READPLIST(name,<show>) reads ASCII-File (name) as plist
%returns plist as n x 2 matrix, n=number of vertices, 
%col.1 = x, col.2 = y
%returns perimeter of closed list
%if 'show' exists, plist is displayed by plotslist

extension=name(length(name)-1);
if extension ~= 'p'
   error('ERROR: readPlist: extension != pl, you probably do not access a p-list !');
end

S=[];
f=fopen(name,'r');
if f>0
   %first read comments
   while feof(f)==0
      position=ftell(f);
      line=fgetl(f);
      if line(1)~='#'
         fseek(f,position,'bof');
         break;
      end
   end
   
   %read data
   while feof(f)==0
      l=fscanf(f,'%f',2);
      if length(l)==2
         S=[S;l(1:2)'];
         lvl=l;				%lvl = last valid line
      end
   end
   
   fclose(f);
   
   %reduce polygon
   S=deleteDoubleVertices(S);

	%perimeter
	peri=perimeter([S;S(1,:)]);


	if exist('show')
	   plotslist(S);
	end
else
    error('readPlist: File not found.');
end
