function [S,peri]=readSlist(name,show)
%READSLIST(name,<show>) reads ASCII-File (name) as slist
%returns slist as n x 2 matrix, n=number of vertices, 
%col.1 = x, col.2 = y
%returns perimeter of closed list
%if 'show' exists, slist is displayed by plotslist

extension=name(length(name)-1);
if extension ~= 's'
   error('WARNING: readSlist: extension != sl, you probably do not access an slist !');
end



S=[];
f=fopen(name,'r');
if f>0
   %first read comments
   while feof(f)==0
      position=ftell(f);
      line=fgetl(f);
      if line(1)~='#'
         fseek(f,position,'bof');
         break;
      end
   end
   
   %read data
   while feof(f)==0
      l=fscanf(f,'%d',4);
      if length(l)==4
         S=[S;l(1:2)'];
         lvl=l;				%lvl = last valid line
      end
   end
   
   %append endpoint if different to startingpoint
   if isequal(lvl(3:4)', S(1,:)) == 0
   	S=[S;lvl(3:4)'];   
   end
   fclose(f);
   %reduce polygon
   
   S=deleteDoubleVertices(S);

	%perimeter
	peri=perimeter(S);


	if exist('show')
	   plotslist(S);
	end
else
    error('readSlist: file not found.');
end


   
